# encoding: utf-8
require 'active_record'
require 'active_support/core_ext/kernel/reporting'
require 'active_support/core_ext/object/blank'
require 'active_support/core_ext/array/access'
require 'crypt_keeper'
require 'addressable/uri'
require 'io/console'
require 'json'
require 'excon'
require 'fuubar'
require 'rspec'
require 'thor'
require 'logger'
require 'rugged'
require 'capybara/rspec'
require 'capybara/poltergeist'
require 'ostruct'
require 'csv'
require 'proxy_pac_rb'
require 'highline/import'

require 'proxy_tester/models/user'

require 'proxy_tester/pac_result'
require 'proxy_tester/capybara_proxy_pac'
require 'proxy_tester/user_database'
require 'proxy_tester/ui_logger'
require 'proxy_tester/erb_generator'
require 'proxy_tester/config'
require 'proxy_tester/exceptions'
require 'proxy_tester/version'
require 'proxy_tester/database_session'
require 'proxy_tester/environment'
require 'proxy_tester/main'
require 'proxy_tester/data'
require 'proxy_tester/remote_repository'
require 'proxy_tester/template_repository'
require 'proxy_tester/template_file'
require 'proxy_tester/git_null_file'
require 'proxy_tester/git_file'
require 'proxy_tester/git_repository'
require 'proxy_tester/error_handler'
require 'proxy_tester/error_messages'
require 'proxy_tester/rspec_runner'
require 'proxy_tester/cli/test'
require 'proxy_tester/cli/main'
require 'proxy_tester/http_proxy'

require 'proxy_tester/actions/show_config'
require 'proxy_tester/actions/initialize_application'
require 'proxy_tester/actions/create_output'
require 'proxy_tester/actions/create_directory'
require 'proxy_tester/actions/create_file'
require 'proxy_tester/actions/handle_error'
require 'proxy_tester/actions/add_test_case'
require 'proxy_tester/actions/add_examples_to_test_cases_directory'
require 'proxy_tester/actions/fetch_urls'
require 'proxy_tester/actions/clear_environment'

require 'proxy_tester/reporters/fetch_urls'

require 'proxy_tester/capybara_proxy'
require 'proxy_tester/rspec/helper'
require 'proxy_tester/rspec/matchers/reference_domains'
require 'proxy_tester/rspec/matchers/have_requests_with_status_code'
require 'proxy_tester/rspec/matchers/return_proxy'
