# encoding: utf-8
module ProxyTester
  module Actions
    class AddTestCase

      private

      attr_reader :remote_repository, :options , :test_cases_directory

      public

      def initialize(remote_repository, test_cases_directory, options = {})
        @remote_repository    = remote_repository
        @test_cases_directory = test_cases_directory
        @options              = options
      end

      def run
        FileUtils.rm_rf File.join(destination, '.git') if options[:force] == true

        if need_to_run?
          ProxyTester.ui_logger.warn "Add testcase repository \"#{remote_repository.source}\" as test directory \"#{File.join(test_cases_directory, remote_repository.base)}\"."
          GitRepository.clone(remote_repository.source, destination, bare: false)
        else
          ProxyTester.ui_logger.warn "Testcase directory \"#{destination}\" already exists. Do not create it again!"
        end
      end

      private

      def destination
        ::File.join(test_cases_directory, remote_repository.base)
      end

      def need_to_run?
        !::File.exists? File.join(destination, '.git')
      end
    end
  end
end
