# encoding: utf-8
module ProxyTester
  class CapybaraProxy

    attr_accessor :host, :user
    attr_reader :port, :type

    def port=(value)
      @port = value.to_i
    end

    def type=(value)
      case value
      when :none
        @type = 'none'
      when :socks5
        @type = 'socks5'
      when :http
        @type = 'http'
      else
        raise Exceptions::ProxyTypeInvalid, JSON.dump(type: value)
      end
    end

    def to_sym
      return :no_proxy if host.blank? or port.blank?

      result = []

      result << host
      result << port
      result << user.name unless user.blank?

      result.join('_').to_sym
    end

    def as_phantomjs_arguments
      result = []
      result << "--proxy=#{to_connect}" if host || port
      result << "--proxy-type=#{type}" if type
      result << "--proxy-auth=#{user.to_login(cleartext: true)}" if user

      result
    end

    def blank?
      host.blank? and port.blank?
    end

    def to_connect
      "#{host}:#{port}".shellescape
    end
  end
end
