# encoding: utf-8
module ProxyTester
  class GitFile
    private

    attr_reader :extension

    public

    attr_reader :path, :name, :content

    def initialize(path, content = '')
      @path      = path
      @extension = ::File.extname(path)
      @name      = path.sub(/\.[^.]+$/, '').gsub(%r{/}, '::').downcase.to_sym
      @content   = content
    end

    def nil?
      false
    end

    def extension?(ext)
      extension == ext
    end

    def prepare(handler)
      handler.prepare(self)
    end
  end
end
