# encoding: utf-8
module ProxyTester
  class PacResult

    attr_reader  :proxy, :proxy_port, :request_type

    def initialize(verbatim = '')
      @verbatim = verbatim

      if verbatim.blank?
        parsed_content = {}
      else
        parsed_content = parse(verbatim) || {}
      end

      @proxy         = parsed_content[:proxy]
      @proxy_port    = parsed_content[:proxy_port]
      @request_type  = parsed_content[:request_type]
    end

    def verbatim
      @verbatim.to_s
    end

    private

    def parse(string)
      regex.match(string)
    end

    def regex
      %r{
      \A
      "?
      (?<request_type>
       [A-Z]+
      )
      (?:
       \s+
       (?<proxy>
        [0-9]{1,3}(:?\.[0-9]{1,3}){3} || 
        [[:alnum:]]+(?:\.[[:alnum:]]+)*\.?
       )
       (?:
        :
        (?<proxy_port>[0-9]+)
       )?
      )?
      ;?
       "?
       \Z
       }x
    end
  end
end
