# encoding: utf-8
module ProxyTester
  module Reporters
    class FetchUrls

      private

      attr_reader :output

      public

      def initialize(output = $stdout)
        @output = output
      end

      def header
        puts 'Results of run'
      end

      def data(d)
        output.printf "%-10s: %s\n", 'proxy', d[:proxy]
        output.printf "%-10s: %s\n", 'url', d[:url]
        output.printf "%-10s: %s\n", 'status', d[:status]

        output.printf "%-10s:\n", 'headers'

        d[:headers].each do |h,v|
          output.printf "  %-20s: %s\n", h, v
        end
      end
    end
  end

end
