# encoding: utf-8
RSpec::Matchers.define :return_proxy do |expected|
  match do |actual|
    actual.verbatim == expected
  end

  failure_message do |actual|
    "expected that \"#{actual.pac_file}\" returns \"#{expected}\", but it returns \"#{actual.verbatim}\" as proxy."
  end

  failure_message_when_negated do |actual|
    "expected that \"#{actual.pac_file}\" not returns \"#{expected}\", but it returns \"#{actual.verbatim}\" as proxy."
  end

  description do
    "to return proxy \"#{expected}\"."
  end
end
